Skip to main content
GET
/
organization
/
{organizationId}
/
services
List Services By OrganizationId
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/services \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "icon_uri": "<string>",
      "service_type": "APPLICATION",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_name": "<string>",
      "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "environment_name": "<string>",
      "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_type": "CRON"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string
required

Query Parameters

project_id
string | null
environment_id
string | null
cluster_id
string

Response

200 - application/json

Service List

results
ServiceLightResponse · object[]